Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface JDBCDataSourceFactoryMBean

public interface JDBCDataSourceFactoryMBean
extends ConfigurationMBean

This MBean represents the object used to create DataSources that applications use to access application-scoped JDBC connection pools.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getDriverClassName()` The name of the driver.
`java.lang.String` | `getFactoryName()` The name of this data source factory.
`java.lang.String` | `getPassword()` The password value to be set in encrypted form.
`java.util.Map` | `getProperties()` default connection properties
`java.lang.String` | `getURL()` The connection URL.
`java.lang.String` | `getUserName()` The database user name.
`void` | `setDriverClassName(java.lang.String s)`
`void` | `setFactoryName(java.lang.String s)`
`void` | `setPassword(java.lang.String s)`
`void` | `setProperties(java.util.Map m)`
`void` | `setURL(java.lang.String s)`
`void` | `setUserName(java.lang.String s)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getUserName

    public java.lang.String getUserName()

  The database user name. This may be overridden by user-name in the descriptor.

### setUserName

    public void setUserName(java.lang.String s)

### getURL

    public java.lang.String getURL()

  The connection URL. This may be overridden by url in the descriptor

### setURL

    public void setURL(java.lang.String s)

### getDriverClassName

    public java.lang.String getDriverClassName()

  The name of the driver. This may be overridden by driver-name in the descriptor.

### setDriverClassName

    public void setDriverClassName(java.lang.String s)

### getProperties

    public java.util.Map getProperties()

  default connection properties

### setProperties

    public void setProperties(java.util.Map m)

### getFactoryName

    public java.lang.String getFactoryName()

  The name of this data source factory. This is referenced from the connection-factory element in weblogic-application.xml

### setFactoryName

    public void setFactoryName(java.lang.String s)

### getPassword

    public java.lang.String getPassword()

  The password value to be set in encrypted form. This value is derived from from the value of the Properties attribute if password= is specified.

### setPassword

    public void setPassword(java.lang.String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference